#include<bits/stdc++.h>
using namespace std;
int main()
{
    long n;
    scanf("%ld",&n);
    for(long i=0; i<n; i++)
     {
         long long a,b;
         scanf("%lld%lld",&a,&b);
     }
     printf("%d",-1);

    return 0;
}